## LassoIdWsf2DstRefQueryItem LassoIdWsf2DstRefQueryItem — <dstref:QueryItem> |

## Functions

LassoIdWsf2DstRefQueryItem * | lasso_idwsf2_dstref_query_item_new ()
LassoIdWsf2DstRefQueryItem * | lasso_idwsf2_dstref_query_item_new_full ()

## Types and Values

struct | LassoIdWsf2DstRefQueryItem

## Description

Figure 182. Schema fragment for dstref:QueryItem

    <xs:complexType name="QueryItemType">
      <xs:complexContent>
        <xs:extension base="dstref:ResultQueryType">
          <xs:attributeGroup ref="dst:PaginationAttributeGroup"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_dstref_query_item_new ()

    LassoIdWsf2DstRefQueryItem *
    lasso_idwsf2_dstref_query_item_new (void);

Creates a new LassoIdWsf2DstRefQueryItem object.

#### Returns

a newly created LassoIdWsf2DstRefQueryItem object

### lasso_idwsf2_dstref_query_item_new_full ()

    LassoIdWsf2DstRefQueryItem *
    lasso_idwsf2_dstref_query_item_new_full
                                   (const gchar *item_xpath,
                                    const gchar *item_id);

## Types and Values

### struct LassoIdWsf2DstRefQueryItem

    struct LassoIdWsf2DstRefQueryItem {
    	LassoIdWsf2DstRefResultQuery parent;

    	/* attributes */
    	int count;
    	int offset;
    	char *setID;
    	char *setReq;
    };